<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN" "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd" [
<!ENTITY version SYSTEM "version.xml">
]>
<refentry id="milter-manager-MilterManagerModule">
<refmeta>
<refentrytitle role="top_of_page" id="milter-manager-MilterManagerModule.top_of_page">MilterManagerModule</refentrytitle>
<manvolnum>3</manvolnum>
<refmiscinfo>milter managerライブラリ</refmiscinfo>
</refmeta>
<refnamediv>
<refname>MilterManagerModule</refname>
<refpurpose/>
</refnamediv>

<refsynopsisdiv id="milter-manager-MilterManagerModule.synopsis" role="synopsis">
<title role="synopsis.title">概要</title>

<synopsis>#define             <link linkend="MILTER-MANAGER-MODULE:CAPS">MILTER_MANAGER_MODULE</link>               (obj)
                    <link linkend="MilterManagerModule">MilterManagerModule</link>;
<link linkend="MilterManagerModule"><returnvalue>MilterManagerModule</returnvalue></link> * <link linkend="milter-manager-module-load-module">milter_manager_module_load_module</link> (const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *base_dir,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *name);
<link linkend="GList"><returnvalue>GList</returnvalue></link> *             <link linkend="milter-manager-module-load-modules">milter_manager_module_load_modules</link>  (const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *base_dir);
<link linkend="GList"><returnvalue>GList</returnvalue></link> *             <link linkend="milter-manager-module-load-modules-unique">milter_manager_module_load_modules_unique</link>
                                                        (const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *base_dir,
                                                         <link linkend="GList"><returnvalue>GList</returnvalue></link> *modules);
<link linkend="MilterManagerModule"><returnvalue>MilterManagerModule</returnvalue></link> * <link linkend="milter-manager-module-find">milter_manager_module_find</link>        (<link linkend="GList"><returnvalue>GList</returnvalue></link> *modules,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *name);
<link linkend="GObject"><returnvalue>GObject</returnvalue></link> *           <link linkend="milter-manager-module-instantiate">milter_manager_module_instantiate</link>   (<link linkend="MilterManagerModule"><returnvalue>MilterManagerModule</returnvalue></link> *module,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *first_property,
                                                         <link linkend="va-list"><returnvalue>va_list</returnvalue></link> var_args);
<link linkend="GList"><returnvalue>GList</returnvalue></link> *             <link linkend="milter-manager-module-collect-registered-types">milter_manager_module_collect_registered_types</link>
                                                        (<link linkend="GList"><returnvalue>GList</returnvalue></link> *modules);
<link linkend="GList"><returnvalue>GList</returnvalue></link> *             <link linkend="milter-manager-module-collect-names">milter_manager_module_collect_names</link> (<link linkend="GList"><returnvalue>GList</returnvalue></link> *modules);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-manager-module-unload">milter_manager_module_unload</link>        (<link linkend="MilterManagerModule"><returnvalue>MilterManagerModule</returnvalue></link> *module);
</synopsis>
</refsynopsisdiv>

<refsect1 id="milter-manager-MilterManagerModule.description" role="desc">
<title role="desc.title">説明</title>
<para>
</para>
</refsect1>
<refsect1 id="milter-manager-MilterManagerModule.details" role="details">
<title role="details.title">詳細</title>
<refsect2 id="MILTER-MANAGER-MODULE:CAPS" role="macro">
<title>MILTER_MANAGER_MODULE()</title>
<indexterm zone="MILTER-MANAGER-MODULE:CAPS"><primary>MILTER_MANAGER_MODULE</primary></indexterm>
<programlisting>#define MILTER_MANAGER_MODULE(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), MILTER_TYPE_MANAGER_MODULE, MilterManagerModule))
</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>obj</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="MilterManagerModule" role="struct">
<title>MilterManagerModule</title>
<indexterm zone="MilterManagerModule"><primary>MilterManagerModule</primary></indexterm>
<programlisting>typedef struct {
    GTypeModule object;
} MilterManagerModule;
</programlisting>
<para>
</para></refsect2>
<refsect2 id="milter-manager-module-load-module" role="function">
<title>milter_manager_module_load_module ()</title>
<indexterm zone="milter-manager-module-load-module"><primary>milter_manager_module_load_module</primary></indexterm>
<programlisting><link linkend="MilterManagerModule"><returnvalue>MilterManagerModule</returnvalue></link> * milter_manager_module_load_module (const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *base_dir,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *name);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>base_dir</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>name</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-module-load-modules" role="function">
<title>milter_manager_module_load_modules ()</title>
<indexterm zone="milter-manager-module-load-modules"><primary>milter_manager_module_load_modules</primary></indexterm>
<programlisting><link linkend="GList"><returnvalue>GList</returnvalue></link> *             milter_manager_module_load_modules  (const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *base_dir);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>base_dir</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-module-load-modules-unique" role="function">
<title>milter_manager_module_load_modules_unique ()</title>
<indexterm zone="milter-manager-module-load-modules-unique"><primary>milter_manager_module_load_modules_unique</primary></indexterm>
<programlisting><link linkend="GList"><returnvalue>GList</returnvalue></link> *             milter_manager_module_load_modules_unique
                                                        (const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *base_dir,
                                                         <link linkend="GList"><returnvalue>GList</returnvalue></link> *modules);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>base_dir</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>modules</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-module-find" role="function">
<title>milter_manager_module_find ()</title>
<indexterm zone="milter-manager-module-find"><primary>milter_manager_module_find</primary></indexterm>
<programlisting><link linkend="MilterManagerModule"><returnvalue>MilterManagerModule</returnvalue></link> * milter_manager_module_find        (<link linkend="GList"><returnvalue>GList</returnvalue></link> *modules,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *name);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>modules</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>name</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-module-instantiate" role="function">
<title>milter_manager_module_instantiate ()</title>
<indexterm zone="milter-manager-module-instantiate"><primary>milter_manager_module_instantiate</primary></indexterm>
<programlisting><link linkend="GObject"><returnvalue>GObject</returnvalue></link> *           milter_manager_module_instantiate   (<link linkend="MilterManagerModule"><returnvalue>MilterManagerModule</returnvalue></link> *module,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *first_property,
                                                         <link linkend="va-list"><returnvalue>va_list</returnvalue></link> var_args);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>module</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>first_property</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>var_args</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-module-collect-registered-types" role="function">
<title>milter_manager_module_collect_registered_types ()</title>
<indexterm zone="milter-manager-module-collect-registered-types"><primary>milter_manager_module_collect_registered_types</primary></indexterm>
<programlisting><link linkend="GList"><returnvalue>GList</returnvalue></link> *             milter_manager_module_collect_registered_types
                                                        (<link linkend="GList"><returnvalue>GList</returnvalue></link> *modules);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>modules</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-module-collect-names" role="function">
<title>milter_manager_module_collect_names ()</title>
<indexterm zone="milter-manager-module-collect-names"><primary>milter_manager_module_collect_names</primary></indexterm>
<programlisting><link linkend="GList"><returnvalue>GList</returnvalue></link> *             milter_manager_module_collect_names (<link linkend="GList"><returnvalue>GList</returnvalue></link> *modules);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>modules</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-module-unload" role="function">
<title>milter_manager_module_unload ()</title>
<indexterm zone="milter-manager-module-unload"><primary>milter_manager_module_unload</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_manager_module_unload        (<link linkend="MilterManagerModule"><returnvalue>MilterManagerModule</returnvalue></link> *module);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>module</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>

</refsect1>

</refentry>
